[tools] testbot/RestoreVM: Avoid errors when restoring a VM with no snapshot.

Francois Gouget fgouget at codeweavers.com
Thu Dec 17 04:53:02 CST 2020


Signed-off-by: Francois Gouget <fgouget at codeweavers.com>
---
 testbot/scripts/RestoreVM | 1 +
 1 file changed, 1 insertion(+)

diff --git a/testbot/scripts/RestoreVM b/testbot/scripts/RestoreVM
index bf99e4978a..a1b9d15846 100755
--- a/testbot/scripts/RestoreVM
+++ b/testbot/scripts/RestoreVM
@@ -677,6 +677,7 @@ then
         _dir="$1"
         for snapxml in "$_dir"/*.xml
         do
+            [ -f "$snapxml" ] || continue
             name=`basename "$snapxml" .xml`
             ctime=`sed -e 's~^.*<creationTime>\([0-9][0-9]*\)</creationTime>.*$~\1~' -e t -e d "$snapxml"`
             echo "$ctime $name"
-- 
2.20.1



More information about the wine-devel mailing list